<template>
  <div v-html="markdownHtml"></div>
</template>

<script>
import markdownit from 'markdown-it'
import mila from 'markdown-it-link-attributes'

const md = markdownit({
  linkify: true,
}).use(mila, {
  attrs: {
    target: '_blank',
    rel: 'noopener noreferer',
  },
})

export default {
  name: 'Markdown',
  props: ['markdown'],
  computed: {
    markdownHtml() {
      return md.render(this.markdown)
    },
  },
}
</script>
